cron-script.sh
changeset 11798 23e24cb087f3
parent 11444 41d1e026ea81
child 11809 5371dbd24158
--- a/cron-script.sh	Wed Mar 05 15:35:49 2008 +0000
+++ b/cron-script.sh	Wed Mar 05 16:47:50 2008 +0000
@@ -162,6 +162,31 @@
 # the number of failed pkgs is returned
 FAILED=$?
 
+# Build spec-files-other
+cd $SPECDIR/../spec-files-other
+
+# Revert any local changes
+svn revert -R .
+
+# checkout-out SVN copy *MUST* be read-only, or "update" needs passwd
+svn -q up > /dev/null 2>&1 || fatal_error "SVN update failed"
+
+# Uninstall the spec-files-other packages.
+pkgtool uninstall-pkgs --with-l10n --with-tjds --with-moz-nss-nspr --with-sun-branding core/*.spec experimental/*.spec l10n/*.spec >/dev/null
+
+pkgtool -v --nightly --date "$RELEASE_DATE" build core/*.spec experimental/*.spec l10n/*.spec \
+        --logdir=$WEBROOT/$LOGDIR \
+        --logdir-url=http://jds.ireland/$LOGDIR \
+	[email protected] \
+        --prodname="${PRODNAME}/s${OSrel}${OSarch}" \
+        --live --with-l10n --with-tjds --with-moz-nss-nspr \
+        --define "nightly 1" --with-sun-branding \
+        --summary-log=$WEBROOT/$LOGDIR-other.html \
+        --summary-title="${PRODNAME} S${OSrel}/${OSarch_full} SFO Nightly Build Report `date +'%d %B %Y'`" \
+        --rpm-url=file:///net/jdsserv.ireland/$RPMSDIR/all_pkgs \
+         >> /tmp/build.log.$$ 2>&1
+# End spec-files-other build.
+
 # rotate rpms dir
 rm -rf $RPMSDIR.prev
 mv $RPMSDIR $RPMSDIR.prev; mkdir -p $RPMSDIR